package com.itbaizhan.servlet;

import com.itbaizhan.domain.Student;
import com.itbaizhan.service.StudentService;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
@WebServlet("/allStudent")
public class FindAllStudentServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        StudentService studentService = new StudentService();
        List<Student> allStudent = null;
        try {
            allStudent = studentService.findAllStudent();
        } catch (Exception e) {
            e.printStackTrace();
        }
        req.setAttribute("allStudent",allStudent);
        //请求转发
        req.getRequestDispatcher("allStudent.jsp").forward(req,resp);
    }
}
